| OpenCV 4.3.0 Open Source Computer Vision

Classes | Functions
Features Finding and Images Matching
Images stitching

## Classes
class | cv::detail::AffineBestOf2NearestMatcher
| Features matcher similar to cv::detail::BestOf2NearestMatcher which finds two best matches for each feature and leaves the best one only if the ratio between descriptor distances is greater than the threshold match_conf. More...
class | cv::detail::BestOf2NearestMatcher
| Features matcher which finds two best matches for each feature and leaves the best one only if the ratio between descriptor distances is greater than the threshold match_conf. More...
class | cv::detail::BestOf2NearestRangeMatcher
class | cv::detail::FeaturesMatcher
| Feature matchers base class. More...
struct | cv::detail::ImageFeatures
| Structure containing image keypoints and descriptors. More...
struct | cv::detail::MatchesInfo
| Structure containing information about matches between two images. More...

## Functions
void | cv::detail::computeImageFeatures (const Ptr< Feature2D > &featuresFinder, InputArrayOfArrays images, std::vector< ImageFeatures > &features, InputArrayOfArrays masks=noArray())
void | cv::detail::computeImageFeatures (const Ptr< Feature2D > &featuresFinder, InputArray image, ImageFeatures &features, InputArray mask=noArray())

## Detailed Description

## Function Documentation

## ◆ computeImageFeatures() [1/2]

void cv::detail::computeImageFeatures | ( | const Ptr< Feature2D > & | featuresFinder,
|  | InputArrayOfArrays | images,
|  | std::vector< ImageFeatures > & | features,
|  | InputArrayOfArrays | masks = `noArray()`
| ) |  |

Python:
| features | = | cv.detail.computeImageFeatures( | featuresFinder, images[, masks] | )
| features | = | cv.detail.computeImageFeatures2( | featuresFinder, image[, mask] | )

`#include <opencv2/stitching/detail/matchers.hpp>`

Parameters

  featuresFinder |
  images |
  features |
  masks |

Examples:
  samples/cpp/stitching_detailed.cpp.

## ◆ computeImageFeatures() [2/2]

void cv::detail::computeImageFeatures | ( | const Ptr< Feature2D > & | featuresFinder,
|  | InputArray | image,
|  | ImageFeatures & | features,
|  | InputArray | mask = `noArray()`
| ) |  |

Python:
| features | = | cv.detail.computeImageFeatures( | featuresFinder, images[, masks] | )
| features | = | cv.detail.computeImageFeatures2( | featuresFinder, image[, mask] | )

`#include <opencv2/stitching/detail/matchers.hpp>`

Parameters

  featuresFinder |
  image |
  features |
  mask |